#
# spec file for package libtelegramqml
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libtelegramqml
Version:        2.0.0+git20180503.761f109
Release:        1.19
Summary:        Telegram API tools for QtQml and Qml
License:        GPL-3.0-only
Group:          System/Libraries
URL:            https://github.com/Aseman-Land/TelegramQML
Source:         TelegramQML-%{version}.tar.xz
Patch:          Qt5Telegram.patch
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libQt5Telegram-devel

%description
Telegram API tools for QtQML and Qml, based on Cutegram-Core and libqtelegram.

%package -n libtelegramqml1
Summary:        Shared libraries for TelegramQML
Group:          System/Libraries

%description -n libtelegramqml1
This package provides shared libraries for TelegramQML.

%package devel
Summary:        Development headers for TelegramQML
Group:          Development/Libraries/C and C++
Requires:       libtelegramqml1 = %{version}

%description devel
This package provides development headers for TelegramQML.

%prep
%setup -q -n TelegramQML-%{version}
%patch -p1

%build
mkdir build
cd build
ls -l /usr/include/qt5
qmake-qt5 -r PREFIX=%{_prefix} \
	INSTALL_LIBS_PREFIX=%{_libdir} \
	BUILD_MODE+=lib \
	QMAKE_CXXFLAGS+="%{optflags}" \
	QMAKE_STRIP="/bin/true" \
	..
make

%install
cd build
make install INSTALL_ROOT=%{buildroot} %{?_smp_mflags}

# install pkgconfig file
cat > libtelegramqml.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name:           libtelegramqml
Version:        2.0.0+git20180503.761f109
Description: Telegram API tools for QtQml and Qml
Libs: -L%{_libdir} -ltelegramqml
Cflags: -I%{_includedir}/telegramqml
EOF
mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m 0644 libtelegramqml.pc %{buildroot}%{_libdir}/pkgconfig

%post -n libtelegramqml1 -p /sbin/ldconfig
%postun -n libtelegramqml1 -p /sbin/ldconfig

%files -n libtelegramqml1
%license LICENSE
%doc README.md
%{_libdir}/libtelegramqml.so.1
%{_libdir}/libtelegramqml.so.1.0
%{_libdir}/libtelegramqml.so.1.0.0

%files devel
%{_includedir}/telegramqml/
%{_libdir}/libtelegramqml.so
%{_libdir}/pkgconfig/libtelegramqml.pc

%changelog
* Fri Oct  6 2023 i@marguerite.su
- Update to version 2.0.0+git20180503.761f109:
  * Upgrade to API68
  * Add caption to the sendFile method
  * Fixing the password/2FA authentication problem, and moving hash function to this lib => password hash calculation should
  * Remove all openssl from headers
  * Bugfix on the getting profile images before logged in
  * Many updates for SecretChats Fix ugly cache bugs Add addContact fuction to the dialogList
  * TelegramAbstractEngineModel: Restored telegramChanged() connection
  * TelegramAbstractEngineModel: Always call connectTelegram() in order to received updates
  * TelegramQmlInitializer: Don't hardcode import uri
  * TelegramImageElement: Removed 'empty url' warning
  * TelegramCache: Use data() in order to maintain Qt 5.2 compatibility
  * Add SharedPointer Qml component to use TelegramSharedPointer features from Qml...
  * Add support for secret chats on the DialogListModel component Clear cache when the history was cleared Many bugfix and improvements
  * Add clearHistory functions Add support to caching Me details
  * Add auth method support Add refreshing property to other components
  * MediaListModel completed
  * Add MemberListModel component to show Chat and Channel memebers
  * Add useCache property to the models that use Cache
  * Add globalUnreadCount to the NotificationHandler that shows the unmuted unreadCount too
  * Add TopMessageListModel component to show top unreaded messages Update Status component to provide typing status Update NotificationHandler component to show unreadCount Many bugfixes
  * Add Status component
  * Updated DialogListModel documentation
  * TelegramDialogListModel: Added messageUser role
  * update plugins.qmltypes
  * Add contact support to the dialogmodel
  * TelegramImageElement: autoTransform property is available from Qt >= 5.5, disable signal connection
  * TelegramImageElement: Don't hardcode QtQuick version
  * TelegramMessageListModel: Restored Qt 5.2 compatibility
  * TelegramQmlInitializer: Don't hardcode import uri
  * Add function to the MessageListModel to sendSticker
  * Better transfaring
  * Create index for Messages.toPeerType
  * Do not insert again in the database unchanged users and contacts
  * Remove firstname and lastname controller on the Authenticate component
  * Add message model
  * Adjusted signal connection
  * Exposed WebPage and Venue media messages to QML, exposed DocumentAttribute to qml
  * TelegramDialogModel: Make recheck() method public for manual update
  * TelegramMessagesModel: Make stepCount configurable
  * delayed models data got from server until main socket becomes connected
  * MessageActionObject: Exposed 'inviterId' property
* Sun Jan 17 2016 i@marguerite.su
- Update to version 0.9.2+git20160116.f7e7ef4:
  + Improvement on the StickersModel functions
  + Add some crash and fatal error handlers
  + Fix lost encrypted chats dialog
  + Fixed setLogLevel() function
* Sun Aug  2 2015 i@marguerite.su
- initial version 0.8.0+git20150730.fd1194e
